man(8)

NAME
pkgos.make - helper with useful functions for maintainers

SYNOPSIS
pkgos.make

DESCRIPTION
pkgos.make uses exist .init.in file to generate appropriate init script, systemd unit if these files are absent. This make file also contains some common functions which can be useful for maintainers:

-gen-init-configurations
    this function is responsible for generating init script and systemd unit.

-gen-author-list
    generates list of authors taken from git log.

-gen-upstream-changelog
    generate changelog file for debian distribution from git log.

-get-orig-source
    downloads the new upstream tarball by using uscan.

-fetch-upstream-remote
    downloads package from the upstream (https://github.com/openstack/<package_name>). The package_name is determined by the package of the current directory.

-gen-orig-(xz|gz|bz2)
    creates original tarball by using (xz|gz|bz2) data compressor.

-get-master-branch
    create master branch.

-get-vcs-source
    is the pipeline of the functions fetch-upstream-remote, gen-orig-xz, get-master-branch.

-versioninfo
    write package version to the versioninfo file.

-display-po-stats
    displays number of translated messages for each .po file in debian/po.

-call-for-po-trans
    this functions calls podebconf-report-po with specific parameters.

-regen-manifest-patch
    generate list of all files of the package and write it to the MANIFEST.in.

EXAMPLES

For calling functions above use next syntax:
    ./debian/rules <function_name>

SEE ALSO
pkgos-gen-systemd-unit(8), pkgos-gen-upstart-job(8), uscan(1), podebconf-report-po(1), quilt(1).

BUGS
No known bugs.

AUTHOR

Script is written by Thomas Goirand <zigo@debian.org>

Man page is written by Andrii Kroshchenko <akroshchenko@mirantis.com>